<bugID>930967<Summary>Let tabs broadcast data when it changes instead of collecting it through the main process</Summary><Description>The main idea here is that tabs should broadcast their data instead of the main process having to go and collect whenever it detects an invalidation. Especially in an e10s world the content script is a lot better at detecting changes. We should not have to send messages that trigger invalidations and then again messages that kick off data collection.</Description></bugID>